Great plugin - problems with new versions Rated 3 out of 5 stars

Ever since this plugin updated to 2.*.* from 1.3.*, me and several people I work with, cannot add custom Headers (or any headers at all for that matter) and also there are other anomalies that I never saw with the older version. intermittently sometimes when installed it works but returns nothing but blank responses. Cannot update to old version, even my old firefox 3.6 portable is not installing it ,says not compatible. But it always was compatible!

This review is for a previous version of the add-on (